org.eclipse.emf.cdo.view

## Interface CDOViewRegistry.Registration

- Enclosing interface:
    CDOViewRegistry

      public static interface CDOViewRegistry.Registration

  A bidirectional mapping between a registered `view` and its `class loader`-wide `ID`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getID()` Returns the ID of this registration.
    `CDOView` | `getView()` Returns the `CDOView` of this registration.

- - ### Method Detail

    - #### getID

          int getID()

      Returns the ID of this registration.

    - #### getView

          CDOView getView()

      Returns the `CDOView` of this registration.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html